const { src, dest, parallel, series, watch } = require('gulp');
const autoprefixer = require('gulp-autoprefixer');
const minify = require('gulp-minify');
const cleanCSS = require('gulp-clean-css');
const rename = require('gulp-rename');
const htmlMin = require('gulp-htmlmin');
const sass = require('gulp-sass');
function html() {
	return src('./src/html/component.html')
		.pipe(htmlMin({ collapseWhitespace: true }))
		.pipe(rename('./src/html/component-min.html'))
		.pipe(dest('./'));
}
function css() {
	return src('./src/scss/component.scss')
		.pipe(sass())
		.pipe(autoprefixer())
		.pipe(cleanCSS())
		.pipe(rename('./src/css/component-min.css'))
		.pipe(dest('./'));
}
const js = () => src('./src/js/mailymaily.js').pipe(minify({ noSource: true })).pipe(dest('./dist'));
exports.default = series(parallel(html, css), js);
